package cn.estsh.i3plus.ext.mes.pcn.pojo.model;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiParam;
import lombok.Data;

/**
 * @Description :裁片工单明细
 * @Reference :
 * @Author : jack.jia
 * @CreateDate : 2019-04-02
 * @Modify:
 **/
@Data
@Api("裁片工单明细MODEL")
public class MesWorkOrderCutDetailModel {

    @ApiParam("裁片工单号")
    private String cutWorkOrderNo;

    @ApiParam("工单号")
    private String workOrderNo;

    @ApiParam("物料号")
    private String partNo;

    @ApiParam("物料名称")
    private String partName;

    @ApiParam("产成数量")
    private Double qty;

    @ApiParam("标包数量")
    private Double packageQty;

    @ApiParam("包装条码规则")
    private String packageSnRule;

    // 包装条码打印所需属性 START

    @ApiParam("客户代码")
    private String custCode;

    @ApiParam("客户零件号")
    private String custPartNo;

    @ApiParam("生产日期")
    private String lotNo;

    @ApiParam("创建时间")
    private String createDatetime;

    @ApiParam("箱号")
    private String packageNo;

    @ApiParam("打印份数")
    private Integer copies;

    @ApiParam("打印机")
    private String printer;

    @ApiParam("标签模板")
    private String labelTemplate;

    // 包装条码打印所需属性 END

}
